Bug 1303090 - [Docs] [Director] Section 7.6 should add flavor information
[Docs] [Director] Section 7.6 should add flavor information
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Dan Macpherson
RHOS Documentation Team
: Documentation
Depends On:
  Show dependency treegraph
Reported: 2016-01-29 09:06 EST by Ruchika K
Modified: 2016-02-08 22:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-02-08 22:08:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ruchika K 2016-01-29 09:06:06 EST
Description of problem:

Section 7.6 (regarding scaling a cloud) it appears there should be a few steps on flavor association of the newly added node to the type control/compute/ceph

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
Comment 2 Andrew Dahms 2016-02-07 22:04:26 EST
Assigning to Dan for review.
Comment 3 Dan Macpherson 2016-02-08 21:19:26 EST
Hi Ruchika,

The flavor information should already be created for either the Basic or Advanced scenario:



These flavors are linked to the node using the following command (which is included in the instructions):

$ ironic node-update [NODE UUID] add properties/capabilities='profile:compute,boot_option:local'

The this sets the profile to 'compute'. This links to the compute flavor, which is also tagged 'profile:compute'. The director deploys the node as a flavor depending on what it reads for 'profile:*' for both the node and the flavor.

If you do not set a profile, the director defaults to the 'baremetal' flavor, which should also already be created as per the instructions above.

Please let me know if there was anything else to add to this bug. If not, I'll close it.

Note You need to log in before you can comment on or make changes to this bug.